package com.tigerlogic.omnis.jsclient.android;

import android.content.Context;
import android.content.res.Configuration;
import android.util.AttributeSet;
import android.widget.LinearLayout;

public class OmnisAndroidLinearLayout extends LinearLayout {
	public int mPortraitHeight;
	public int mPortraitWidth;
	public int mLandscapeWidth;
	public int mLandscapeHeight;
	
	public OmnisAndroidLinearLayout(Context context) {
			super(context);
	}
	
	public OmnisAndroidLinearLayout(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	@Override
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
		super.onMeasure(widthMeasureSpec, heightMeasureSpec);
		
		if (OmnisAndroidClient.smOrientation == Configuration.ORIENTATION_PORTRAIT) {
			mPortraitWidth = getMeasuredWidth();
			mPortraitHeight = getMeasuredHeight();
		} else {
			mLandscapeWidth = getMeasuredWidth();
			mLandscapeHeight = getMeasuredHeight();			
		}
	}
}
